Subject: Re: [bug#71425] test: Accommodate C23 compilers.

From: Sam James <[email-masked]>
Date: Sat, 08 Jun 2024 08:24:08 +0100

Collin Funk <[email-masked]> writes:

> In the yacc test I see warnings like this:
>
> main.c:4:10: error: implicit declaration of function ‘yyparse’ [-Wimplicit-function-declaration]
>     4 |   return yyparse ();
>       |          ^~~~~~~
>
> and some for yylex which is declared, but with an empty parameter list
> instead of void.
>
> I assume this is because GCC becoming more strict to conform with C23
> requirements. I did these tests with GCC 14.1.
>

This is actually some work we've been doing to enforce C99 instead:
https://gcc.gnu.org/gcc-14/porting_to.html#warnings-as-errors.

> I have attached a patch fixing these tests on my system.
>
> Collin
>
> [2. text/x-patch; 0001-test-Accommodate-C23-compilers.patch]...